# Orientation

Namespace: **Wisej.Hybrid.Shared.Screen**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Indicates the physical orientation of the device.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum Orientation : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum Orientation As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                   | Description                                                                                                  |
| ---------------------- | ------------------------------------------------------------------------------------------------------------ |
| **FaceDown**           | The device is held parallel to the ground with the screen facing downwards.                                  |
| **FaceUp**             | The device is held parallel to the ground with the screen facing upwards.                                    |
| **LandscapeLeft**      | The device is in landscape mode, with the device held upright and the home button on the right side.         |
| **LandscapeRight**     | The device is in landscape mode, with the device held upright and the home button on the left side.          |
| **Portrait**           | The device is in portrait mode, with the device held upright and the home button at the bottom.              |
| **PortraitUpSideDown** | The device is in portrait mode but upside down, with the device held upright and the home button at the top. |
| **Unknown**            | The orientation of the device cannot be determined.                                                          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/display/wisej.hybrid.shared.screen.orientation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
